<?php
/*
Plugin Name: Manage Your Posts Only Reloaded
Version: 0.1
Plugin URI: http://techattitude.com
After installing this plugin, users can only see and manage their posts. The posts by other users are completely hidden from them. Besides that it also hides the total number of published posts, pending posts, drafts etc. to a user.Author: Bishal Adhikary
Author URI: http://techattitude.com
*/

function mypo_parse_query_useronly( $wp_query ) {
    if ( strpos( $_SERVER[ 'REQUEST_URI' ], '/wp-admin/edit.php' ) !== false ) {
        if ( !current_user_can( 'level_10' ) ) {
			add_action( 'views_edit-post', 'child_remove_some_post_views' );
            global $current_user;
            $wp_query->set( 'author', $current_user->id );
        }
    }
}

add_filter('parse_query', 'mypo_parse_query_useronly' );

/**
 * Remove All, Published and Trashed posts views.
 *
 * Requires WP 3.1+.
 * @param array $views
 * @return array
 */
function child_remove_some_post_views( $views ) {
	unset($views['all']);
	unset($views['publish']);
	unset($views['trash']);
	unset($views['draft']);
	unset($views['pending']);
	return $views;
}
?>